Package ru.bitel.bgbilling.modules.card.server.bean

# Class CardActionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.card.server.bean.CardActionManager

public class CardActionManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardActionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteAction(int id)`
  `CardAction`
  `getActionById(int id)`
  `List<CardAction>`
  `getActionList(int dealerId, Date fromDate, Date toDate, int type)`
  Deprecated.
  использовать `getActionList(int, Period, int)`
  `List<CardAction>`
  `getActionList(int dealerId, Period period, int type)`
  `void`
  `updateAction(CardAction action)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardActionManager

    public CardActionManager(Connection con, int moduleId)

- ## Method Details

  - ### updateAction

    public void updateAction(CardAction action) throws SQLException
    Throws:
      `SQLException`

  - ### getActionById

    public CardAction getActionById(int id)

  - ### getActionList

    @Deprecated public List<CardAction> getActionList(int dealerId, Date fromDate, Date toDate, int type)
    Deprecated.
    использовать `getActionList(int, Period, int)`
    Parameters:
      `dealerId` -
      `fromDate` -
      `toDate` -
      `type` -
    Returns:

  - ### getActionList

    public List<CardAction> getActionList(int dealerId, Period period, int type)

  - ### deleteAction

    public void deleteAction(int id) throws SQLException
    Throws:
      `SQLException`